/*
  Measure the position of a potentiometer and use it to
  control the blink rate of an LED. Turn the knob to make
  it blink faster or slower!
*/

int sensorPin = A0;   // potentiometer center pin on A0 = pin 14
                      // Since this is an analog pin, range is 0 - 1023
                                                            
int ledPin = 13;      // The LED is connected to digital pin 13
int sensorValue = 0;  // Sensor value will store the signal from the pot

void setup() // this function runs once when the sketch starts up
{
  pinMode(ledPin, OUTPUT);
  Serial.begin(9600);
}

void loop() // this function runs repeatedly after setup() finishes
{
  sensorValue = analogRead(sensorPin);
  Serial.print(sensorValue); Serial.println(" is the value");    

  // Now we'll blink the LED using the sensorValue variable 
  // to change the blink speed. The smaller the number, 
  // the faster it will blink.

  // Note that we're using the ledPin variable here as well:

  digitalWrite(ledPin, HIGH);     // Turn the LED on
  delay(sensorValue);             // Pause for sensorValue mSec
  
  digitalWrite(ledPin, LOW);      // Turn the LED off
  delay(sensorValue);             // Pause for sensorValue mSec

}


