/*
  Measure the position of a potentiometer and use it to
  control an LED using PWM. Turn the knob to make
  it shine brighter or dimmer
*/

int sensorPin = A0;   // potentiometer center (A0 = pin 14)
                      // Since this is an analog pin, range is 0 - 1023
                                      
int ledPin = 9;       // The LED is connected to digital (PWM) pin ~9
int sensorValue = 0 ; // sensorValue will store the signal from the pot

void setup() // this function runs once when the sketch starts up
{
  pinMode(ledPin, OUTPUT);
  Serial.begin(9600);
}

void loop() // this function runs repeatedly after setup() finishes
{
 
  sensorValue = analogRead(sensorPin) / 4; 
  // Range of analog pin (0 - 1024) is GT range of PWM pin (0 - 255), 
  // so divide by 4 to get it down to appropriate range.

  Serial.print(sensorValue); Serial.println(" is the value");
  
  analogWrite(ledPin, sensorValue);  // Turn on LED using PWM from sensor value
}

