/*
  Measure the position of a potentiometer and use the value 
  to try to control the brightness of an LED connected to a 
  digital pin. This will demonstrate that non-PWM digital pins 
  cannot controls LEDs the same way PWM pins can.
*/

int sensorPin = A0;   // potentiometer center (A0 = pin 14)
                      // Since this is an analog pin, range is 0 - 1023
                                      
int ledPin = 7;       // The LED is connected to digital pin 7
int sensorValue = 0 ; // sensorValue will store the signal from the pot

void setup() // this function runs once when the sketch starts up
{
  pinMode(ledPin, OUTPUT);
  Serial.begin(9600);
}

void loop() // this function runs repeatedly after setup() finishes
{
  sensorValue = analogRead(sensorPin) / 4; 
  Serial.print(sensorValue); Serial.println(" is the value");   
  digitalWrite(ledPin, sensorValue);  // Will only turn pin on; not capable of PWM
}

